Xerces-C++: PanicHandler Class Reference

Xerces-C++ 3.2.2

Static Public Member Functions | List of all members
PanicHandler Class Referenceabstract

Receive notification of panic. More...

Inheritance diagram for PanicHandler:

## Public Types
Public Types
enum | PanicReasons { Panic_NoTransService, Panic_NoDefTranscoder, Panic_CantFindLib, Panic_UnknownMsgDomain, Panic_CantLoadMsgDomain, Panic_SynchronizationErr, Panic_SystemInit, Panic_AllStaticInitErr, Panic_MutexErr, PanicReasons_Count }

## Public Member Functions
The virtual panic handler interface
virtual void | panic (const PanicHandler::PanicReasons reason)=0
| Receive notification of panic. More...

## Static Public Member Functions
static const char * | getPanicReasonString (const PanicHandler::PanicReasons reason)

## hidden Constructors
| PanicHandler ()
| Default constructor. More...
virtual | ~PanicHandler ()
| Destructor. More...

## Detailed Description

Receive notification of panic.

This is the interface, through which the Xercesc reports a panic to the application.

Application may implement this interface, instantiate an object of the derivative, and plug it to Xercesc in the invocation to XMLPlatformUtils::Initialize(), if it prefers to handling panic itself rather than Xercesc doing it.

## Member Enumeration Documentation

## ◆ PanicReasons

enum PanicHandler::PanicReasons

Enumerator
Panic_NoTransService |
Panic_NoDefTranscoder |
Panic_CantFindLib |
Panic_UnknownMsgDomain |
Panic_CantLoadMsgDomain |
Panic_SynchronizationErr |
Panic_SystemInit |
Panic_AllStaticInitErr |
Panic_MutexErr |
PanicReasons_Count |

## Constructor & Destructor Documentation

## ◆ PanicHandler()

PanicHandler::PanicHandler | ( |  | ) |
| protected

Default constructor.

## ◆ ~PanicHandler()

virtual PanicHandler::~PanicHandler | ( |  | ) |
| virtual

Destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ getPanicReasonString()

static const char* PanicHandler::getPanicReasonString | ( | const PanicHandler::PanicReasons | reason | ) |
| static

## ◆ panic()

virtual void PanicHandler::panic | ( | const PanicHandler::PanicReasons | reason | ) |
| pure virtual

Receive notification of panic.

This method is called when an unrecoverable error has occurred in the Xerces library.

This method must not return normally, otherwise, the results are undefined.

Ways of handling this call could include throwing an exception or exiting the process.

Once this method has been called, the results of calling any other Xerces API, or using any existing Xerces objects are undefined.

Parameters

  reason | The reason of panic

Implemented in DefaultPanicHandler.

Referenced by DefaultPanicHandler::~DefaultPanicHandler().

The documentation for this class was generated from the following file:

- PanicHandler.hpp